## openlp 1.9.10

=== resources/debian/Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

build:
	mkdir -p resources/i18n/qm
	for TSFILE in resources/i18n/*.ts; do\
		lrelease-qt4 $$TSFILE -qm resources/i18n/qm/`basename $$TSFILE .ts`.qm;\
	done

install:
	mkdir -p $(DESTDIR)/usr/share/openlp/i18n
	cd resources/i18n/qm && for QMFILE in*.qm; do\
		mv $QMFILE $(DESTDIR)/usr/share/openlp/i18n;\
	done

clean:
	rm -fR resources/i18n/qm

=== debian/control ===
Source: openlp
Section: x11
Priority: optional
Maintainer: Raoul Snyman <raoulsnyman@openlp.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 python (>= 2.6.6-3~),
 python-setuptools,
 qt4-linguist-tools
Standards-Version: 3.9.3
Vcs-Bzr: lp:openlp/debian-package
Vcs-Browser: http://bazaar.launchpad.net/~openlp-core/openlp/debian-package/files
Homepage: http://openlp.org/

Package: openlp
Architecture: all
Depends:
 libjs-jquery,
 python-beautifulsoup,
 python-chardet,
 python-enchant,
 python-lxml,
 python-mako,
 python-migrate,
 python-qt4,
 python-qt4-gl,
 python-qt4-phonon,
 python-sqlalchemy,
 python-sqlite,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Church lyrics projection application
 OpenLP is free church presentation software, or lyrics projection software,
 used to display slides of songs, Bible verses, videos, images, and even
 presentations for church worship using a computer and a data projector.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	mkdir -p resources/i18n/qm
	set -e; \
	for TSFILE in resources/i18n/*.ts; do \
		lrelease-qt4 $$TSFILE -qm resources/i18n/qm/`basename $$TSFILE .ts`.qm; \
	done

override_dh_auto_install:
	dh_auto_install -- --install-lib /usr/share/openlp \
	                   --install-scripts /usr/share/openlp

override_dh_install:
	dh_install
	set -e; \
	for SIZE in 16x16 32x32 48x48 64x64 128x128 256x256; do \
		mkdir -p debian/openlp/usr/share/icons/hicolor/$$SIZE/apps && \
		cp resources/images/openlp-logo-$$SIZE.png debian/openlp/usr/share/icons/hicolor/$$SIZE/apps/openlp.png; \
	done
	mkdir -p debian/openlp/usr/share/icons/hicolor/scalable/apps
	cp resources/images/openlp-logo.svg	debian/openlp/usr/share/icons/hicolor/scalable/apps/openlp.svg

=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/openlp/OpenLP-(.+)\.tar\.gz

## openlp 1.9.11

=== debian/changelog ===
openlp (1.9.11-1) experimental; urgency=low

  * New upstream release
  * Removed the unnecessary resources directory

 -- Raoul Snyman <raoulsnyman@openlp.org>  Tue, 21 Aug 2012 21:37:26 +0200

openlp (1.9.10-1) unstable; urgency=low

  * New upstream release

 -- Raoul Snyman <raoulsnyman@openlp.org>  Sat, 23 Jun 2012 21:54:30 +0200

openlp (1.9.9-1) unstable; urgency=low

  * Closes: #671117: Initial release

 -- Raoul Snyman <raoulsnyman@openlp.org>  Wed, 09 May 2012 18:40:30 +0200

## openlp 1.9.12

=== debian/changelog ===
openlp (1.9.12-1) experimental; urgency=low

  * New upstream release
  * Updated watch file to only find tarballs with a version number in them

 -- Raoul Snyman <raoulsnyman@openlp.org>  Fri, 09 Nov 2012 19:23:16 +0200

## openlp 2.0.1

=== debian/changelog ===
openlp (2.0.1-1) experimental; urgency=low

  * New upstream release
  * Patched source to remove version check

 -- Raoul Snyman <raoulsnyman@openlp.org>  Fri, 22 Feb 2013 21:39:51 +0200

=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/openlp/OpenLP-([\d\.]+)\.tar\.gz

## openlp 2.0.4

=== debian/changelog ===
openlp (2.0.4-1) unstable; urgency=low

  * New upstream release
  * Update build-depends to debhelper 8
  * Change maintainer e-mail

 -- Raoul Snyman <raoul@snyman.info>  Tue, 04 Feb 2014 20:37:41 +0200

openlp (2.0.3-1) UNRELEASED; urgency=low

  * New upstream release
  * Upgrade Standards-Version to 3.9.5
  * Update Python version
  * Add python-xdg to recommends
  * Update watch file

 -- Raoul Snyman <raoul@snyman.info>  Sat, 21 Dec 2013 23:13:17 +0200

openlp (2.0.2-1) UNRELEASED; urgency=low

  * New upstream release
  * Upgrade Standards-Version to 3.9.4
  * Upgrade debhelper to version 8
  * Add X-Python-Version

 -- Raoul Snyman <raoulsnyman@openlp.org>  Sat, 24 Aug 2013 16:30:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: openlp
 Section: x11
 Priority: optional
-Maintainer: Raoul Snyman <raoulsnyman@openlp.org>
+Maintainer: Raoul Snyman <raoul@snyman.info>
 Build-Depends:
- debhelper (>= 7.0.50~),
- python (>= 2.6.6-3~),
+ debhelper (>= 8),
+ python (>= 2.7.3~),
  python-setuptools,
  qt4-linguist-tools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Bzr: lp:openlp/debian-package
 Vcs-Browser: http://bazaar.launchpad.net/~openlp-core/openlp/debian-package/files
 Homepage: http://openlp.org/
+X-Python-Version: >= 2.7
 
 Package: openlp
 Architecture: all
@@ -30,6 +31,8 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
+Recommends:
+ python-xdg
 Description: Church lyrics projection application
  OpenLP is free church presentation software, or lyrics projection software,
  used to display slides of songs, Bible verses, videos, images, and even

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,4 @@
 	done
 	mkdir -p debian/openlp/usr/share/icons/hicolor/scalable/apps
 	cp resources/images/openlp-logo.svg	debian/openlp/usr/share/icons/hicolor/scalable/apps/openlp.svg
+	rm -r debian/openlp/usr/share/openlp/resources

=== debian/watch ===
# watch control file for uscan
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://qa.debian.org/watch/sf.php/openlp/ \
(?:|.*/)OpenLP(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## openlp 2.4

=== debian/changelog ===
openlp (2.4-1) unstable; urgency=low

  * New upstream release
  * Migrate to PyQt5. Closes: #784614
  * Update copyright file
  * Fix patches for new upstream version
  * Fixed up insecure URLs to source and website
  * Disable running tests when packaging for now

 -- Raoul Snyman <raoul@snyman.info>  Tue, 23 Feb 2016 23:04:54 +0200

openlp (2.2.1-1) unstable; urgency=low

  * New upstream release
  * Migrate to Python 3
  * Upgrade Standards-Version to 3.9.6
  * Upgrade debhelper to version 9
  * Update watch file
  * Update copyright file
  * Fix patches for new upstream version
  * Move python3-xdg to Requires and add python3-uno

 -- Raoul Snyman <raoul@snyman.info>  Sun, 20 Dec 2015 14:54:03 +0200

openlp (2.2-1) UNRELEASED; urgency=low

  * New upstream release

 -- Raoul Snyman <raoul@snyman.info>  Sun, 19 Oct 2015 14:24:41 +0200

openlp (2.0.5-1) UNRELEASED; urgency=low

  * New upstream release

 -- Raoul Snyman <raoul@snyman.info>  Sun, 29 Jun 2014 12:14:27 +0200

=== debian/control ===
Source: openlp
Section: x11
Priority: optional
Maintainer: Raoul Snyman <raoul@snyman.info>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3 (>= 3.3),
 python3-setuptools,
 qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Bzr: lp:openlp/debian-package
Vcs-Browser: https://bazaar.launchpad.net/~openlp-core/openlp/debian-package/files
Homepage: https://openlp.org/
X-Python3-Version: >= 3.3

Package: openlp
Architecture: all
Depends:
 libjs-jquery,
 libjs-jquery-mobile,
 python3-bs4,
 python3-chardet,
 python3-enchant,
 python3-lxml,
 python3-mako,
 python3-alembic,
 python3-pyqt5,
 python3-pyqt5.qtopengl,
 python3-pyqt5.qtmultimedia,
 python3-pyqt5.qtwebkit,
 python3-sqlalchemy,
 python3-dbus,
 python3-xdg,
 python3-uno,
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 python3-mysql.connector,
 python3-psycopg2
Description: Church lyrics projection application
 OpenLP is free church presentation software, or lyrics projection software,
 used to display slides of songs, Bible verses, videos, images, and even
 presentations for church worship using a computer and a data projector.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=openlp
export PYBUILD_DISABLE=test/python3

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	mkdir -p resources/i18n/qm
	set -e; \
	export QT_SELECT=5; \
	for TSFILE in resources/i18n/*.ts; do \
		lrelease $$TSFILE -qm resources/i18n/qm/`basename $$TSFILE .ts`.qm; \
	done

override_dh_auto_install:
	dh_auto_install -- --install-args='--install-lib /usr/share/openlp --install-scripts /usr/share/openlp'

override_dh_install:
	dh_install
	set -e; \
	for SIZE in 16x16 32x32 48x48 64x64 128x128 256x256; do \
		mkdir -p debian/openlp/usr/share/icons/hicolor/$$SIZE/apps && \
		cp resources/images/openlp-logo-$$SIZE.png debian/openlp/usr/share/icons/hicolor/$$SIZE/apps/openlp.png; \
	done
	mkdir -p debian/openlp/usr/share/icons/hicolor/scalable/apps
	cp resources/images/openlp-logo.svg	debian/openlp/usr/share/icons/hicolor/scalable/apps/openlp.svg
	rm -fr debian/openlp/usr/share/openlp/resources
	rm -fr debian/openlp/usr/share/openlp/openlp/plugins/remotes/html/images

=== debian/watch ===
# watch control file for uscan
version=3
# opts=pgpsigurlmangle=s/$/.sig/ \
https://get.openlp.org/(\d[\d\.]+)/OpenLP-([\d\.]+).tar.(?:xz|bz2|gz)

## openlp 2.4.1

=== debian/changelog ===
openlp (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * Upgrade Standards-Version to 3.9.7

 -- Raoul Snyman <raoul@snyman.info>  Sun, 01 May 2016 22:40:25 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3 (>= 3.3),
  python3-setuptools,
  qttools5-dev-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Bzr: lp:openlp/debian-package
 Vcs-Browser: https://bazaar.launchpad.net/~openlp-core/openlp/debian-package/files
 Homepage: https://openlp.org/

## openlp 2.4.2

=== debian/changelog ===
openlp (2.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Raoul Snyman <raoul@snyman.info>  Sat, 03 Sep 2016 09:03:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3 (>= 3.3),
  python3-setuptools,
  qttools5-dev-tools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Bzr: lp:openlp/debian-package
 Vcs-Browser: https://bazaar.launchpad.net/~openlp-core/openlp/debian-package/files
 Homepage: https://openlp.org/

## openlp 2.4.4

=== debian/changelog ===
openlp (2.4.4-2) unstable; urgency=medium

  * Remove libjs-jquery-mobile, libjs-jquery and associated link, and
    rely on bundled versions. Closes: #734101
  * Add libqt5multimedia5-plugins. Closes: #860061
  * Make use of PYBUILD_* environment variables rather than overrides
  * Update copyright

 -- Raoul Snyman <raoul@snyman.info>  Tue, 11 Apr 2017 14:40:24 -0700

openlp (2.4.4-1) unstable; urgency=low

  * New upstream release

 -- Raoul Snyman <raoul@snyman.info>  Sat, 26 Nov 2016 18:09:48 +0200

openlp (2.4.3-1) unstable; urgency=low

  * New upstream release

 -- Raoul Snyman <raoul@snyman.info>  Sat, 24 Sep 2016 21:30:54 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,7 @@
 Package: openlp
 Architecture: all
 Depends:
- libjs-jquery,
- libjs-jquery-mobile,
+ libqt5multimedia5-plugins,
  python3-bs4,
  python3-chardet,
  python3-enchant,

## openlp 2.4.5

=== debian/changelog ===
openlp (2.4.5-1) experimental; urgency=low

  * New upstream release
  * Add libjs-jquery-migrate-1 to depends
  * Add symlinks for jquery-migrate-1
  * Make use of PYBUILD_* environment variables rather than overrides
  * Update copyright

 -- Raoul Snyman <raoul@snyman.info>  Fri, 03 Feb 2017 20:55:02 -0700

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,9 @@
 Package: openlp
 Architecture: all
 Depends:
- libqt5multimedia5-plugins,
+ libjs-jquery,
+ libjs-jquery-migrate-1,
+ libjs-jquery-mobile,
  python3-bs4,
  python3-chardet,
  python3-enchant,

## openlp 2.4.6

=== debian/changelog ===
openlp (2.4.6-1) unstable; urgency=medium

  * Upload to unstable, merging unstable and experimental packaging
  * New upstream release
  * Remove dependency on libjs-jquery-migrate-1
  * Bump Standards-Version to 4.0.0
  * Bump minimum Python version to 3.4
  * Run wrap-and-sort -s
  * d/copyright:
    - Add copyright info for openlp/core/ui/media/vendor/vlc.py
    - Correct some filenames

 -- Raoul Snyman <raoul@snyman.info>  Tue, 04 Jul 2017 21:49:00 -0700

=== debian/control ===
Source: openlp
Section: x11
Priority: optional
Maintainer: Raoul Snyman <raoul@snyman.info>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3 (>= 3.3),
 python3-setuptools,
 qttools5-dev-tools
Standards-Version: 4.0.0
Vcs-Bzr: lp:openlp/debian-package
Vcs-Browser: https://bazaar.launchpad.net/~openlp-core/openlp/debian-package/files
Homepage: https://openlp.org/
X-Python3-Version: >= 3.4

Package: openlp
Architecture: all
Depends:
 libqt5multimedia5-plugins,
 python3-alembic,
 python3-bs4,
 python3-chardet,
 python3-dbus,
 python3-enchant,
 python3-lxml,
 python3-mako,
 python3-pyqt5,
 python3-pyqt5.qtmultimedia,
 python3-pyqt5.qtopengl,
 python3-pyqt5.qtwebkit,
 python3-sqlalchemy,
 python3-uno,
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends}
Suggests: python3-mysql.connector, python3-psycopg2
Description: Church lyrics projection application
 OpenLP is free church presentation software, or lyrics projection software,
 used to display slides of songs, Bible verses, videos, images, and even
 presentations for church worship using a computer and a data projector.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=openlp
+export PYBUILD_INSTALL_ARGS=--install-lib /usr/share/openlp --install-scripts /usr/share/openlp
 export PYBUILD_DISABLE=test/python3
 
 %:
@@ -15,9 +16,6 @@
 		lrelease $$TSFILE -qm resources/i18n/qm/`basename $$TSFILE .ts`.qm; \
 	done
 
-override_dh_auto_install:
-	dh_auto_install -- --install-args='--install-lib /usr/share/openlp --install-scripts /usr/share/openlp'
-
 override_dh_install:
 	dh_install
 	set -e; \

## openlp 2.9.5

=== debian/changelog ===
openlp (2.9.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.9.5
  * Drop upstream patches
  * d/control: Add new dependencies

 -- Bastian Germann <bage@debian.org>  Mon, 15 Aug 2022 12:41:47 +0200

openlp (2.9.4-4) unstable; urgency=medium

  * Team upload
  * Fix build with pymupdf 1.20.x

 -- Bastian Germann <bage@debian.org>  Fri, 01 Jul 2022 13:54:24 +0200

openlp (2.9.4-3) unstable; urgency=medium

  * Team upload
  * d/changelog: Correct Close bug number
  * Remove deprecated pytest option (Closes: #1013727)

 -- Bastian Germann <bage@debian.org>  Sat, 25 Jun 2022 10:31:13 +0200

openlp (2.9.4-2) unstable; urgency=medium

  * Reintroduce existing but unapplied disable-version-check.patch
  * Work around a difference in Python 3.10 (Closes: #1009466)

 -- Bastian Germann <bage@debian.org>  Thu, 05 May 2022 13:07:13 +0200

openlp (2.9.4-1) unstable; urgency=medium

  * Team upload
  * d/changelog: Remove unnecessary unreleased revisions
  * Team maintenance in Python Team

 -- Bastian Germann <bage@debian.org>  Wed, 19 Jan 2022 22:41:20 +0100

openlp (2.9.4-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/watch: Scan for case sensitive tarball
  * d/rules: Deselect display-dependent test
  * New upstream version 2.9.4. Closes: #995830

  [ Jelmer Vernooĳ ]
  * Use secure URI in Vcs control header.

  [ Debian Janitor ]
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Bump debhelper from old 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Re-export upstream signing key without extra signatures.
  * Fix day-of-week for changelog entry 2.2-1.

  [ Raoul Snyman ]
  * Migrate from old patches format to patches unapplied format

 -- Bastian Germann <bage@debian.org>  Tue, 18 Jan 2022 19:51:00 +0100

=== debian/control ===
Source: openlp
Section: x11
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Raoul Snyman <raoul@snyman.info>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pyqt5-dev-tools,
 python3 (>= 3.6),
 python3-alembic,
 python3-appdirs,
 python3-bs4,
 python3-chardet,
 python3-dbus,
 python3-distro,
 python3-fitz,
 python3-flask,
 python3-flask-cors,
 python3-lxml,
 python3-mako,
 python3-pil,
 python3-pymediainfo (>= 2.2),
 python3-pyodbc,
 python3-pysword,
 python3-pytest,
 python3-pytest-runner,
 python3-pytestqt,
 python3-pyqt5 (>= 5.12),
 python3-pyqt5.qtmultimedia,
 python3-pyqt5.qtopengl,
 python3-pyqt5.qtsvg,
 python3-pyqt5.qtwebengine,
 python3-qdarkstyle,
 python3-qrcode,
 python3-qtawesome,
 python3-requests,
 python3-setuptools,
 python3-sqlalchemy (>= 0.5),
 python3-uno,
 python3-vlc,
 python3-waitress,
 python3-webob,
 python3-websockets,
 python3-zeroconf,
 qttools5-dev-tools
Standards-Version: 4.5.0
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/openlp.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/openlp
Homepage: https://openlp.org/

Package: openlp
Architecture: all
Depends:
 libqt5multimedia5-plugins,
 python3-dbus,
 python3-distro,
 python3-enchant (>= 1.6),
 python3-pyqt5 (>= 5.12),
 python3-pyqt5.qtmultimedia,
 python3-pyqt5.qtopengl,
 python3-pyqt5.qtsvg,
 python3-pyqt5.qtwebengine,
 python3-pysword,
 python3-uno,
 vlc,
 ${misc:Depends},
 ${python3:Depends}
Suggests: libreoffice-impress, python3-fitz, python3-qdarkstyle,
 python3-pymysql, python3-psycopg2, python3-pyodbc
Description: Church lyrics projection application
 OpenLP is free church presentation software, or lyrics projection software,
 used to display slides of songs, Bible verses, videos, images, and even
 presentations for church worship using a computer and a data projector.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=openlp
-export PYBUILD_INSTALL_ARGS=--install-lib /usr/share/openlp --install-scripts /usr/share/openlp
-export PYBUILD_DISABLE=test/python3
+export PYBUILD_TEST_ARGS= -k 'not test_load_settings_position_invalid'
+export GITLAB_CI=disable_test_downloads
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
+	scripts/generate_resources.sh
 	dh_auto_build
 	mkdir -p resources/i18n/qm
 	set -e; \
@@ -16,10 +17,14 @@
 		lrelease $$TSFILE -qm resources/i18n/qm/`basename $$TSFILE .ts`.qm; \
 	done
 
+override_dh_auto_test:
+	QT_QPA_PLATFORM=offscreen dh_auto_test
+	-find -name openlp-test-projectordb.sqlite -delete
+
 override_dh_install:
 	dh_install
 	set -e; \
-	for SIZE in 16x16 32x32 48x48 64x64 128x128 256x256; do \
+	for SIZE in 16x16 32x32 48x48 64x64 128x128; do \
 		mkdir -p debian/openlp/usr/share/icons/hicolor/$$SIZE/apps && \
 		cp resources/images/openlp-logo-$$SIZE.png debian/openlp/usr/share/icons/hicolor/$$SIZE/apps/openlp.png; \
 	done

## openlp 3.0.2

=== debian/changelog ===
openlp (3.0.2-2) unstable; urgency=high

  * Team upload
  * Disable running IPv4-only test

 -- Bastian Germann <bage@debian.org>  Sun, 12 Feb 2023 19:51:43 +0100

openlp (3.0.2-1) unstable; urgency=high

  * Team upload
  * New upstream version 3.0.2

 -- Bastian Germann <bage@debian.org>  Sun, 12 Feb 2023 17:35:34 +0100

openlp (3.0.1-2) unstable; urgency=medium

  * Depend on python3-vlc (will avoid error screen)

 -- Bastian Germann <bage@debian.org>  Tue, 24 Jan 2023 00:46:03 +0100

openlp (3.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.0.1
  * Drop Python 3.11 patch
  * Add PyICU test dependency

 -- Bastian Germann <bage@debian.org>  Fri, 13 Jan 2023 23:44:12 +0100

openlp (3.0.0-1) unstable; urgency=high

  * Team upload
  * New upstream version 3.0.0
  * Replace Suggests with Recommends
  * Add Python 3.11 patch

 -- Bastian Germann <bage@debian.org>  Mon, 02 Jan 2023 21:59:36 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  python3-fitz,
  python3-flask,
  python3-flask-cors,
+ python3-icu,
  python3-lxml,
  python3-mako,
  python3-pil,
@@ -41,7 +42,7 @@
  python3-vlc,
  python3-waitress,
  python3-webob,
- python3-websockets,
+ python3-websockets (>= 8.1),
  python3-zeroconf,
  qttools5-dev-tools
 Standards-Version: 4.5.0
@@ -65,10 +66,11 @@
  python3-pyqt5.qtwebengine,
  python3-pysword,
  python3-uno,
+ python3-vlc,
  vlc,
  ${misc:Depends},
  ${python3:Depends}
-Suggests: libreoffice-impress, python3-fitz, python3-qdarkstyle,
+Recommends: libreoffice-impress, python3-fitz, python3-qdarkstyle,
  python3-pymysql, python3-psycopg2, python3-pyodbc
 Description: Church lyrics projection application
  OpenLP is free church presentation software, or lyrics projection software,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=openlp
-export PYBUILD_TEST_ARGS= -k 'not test_load_settings_position_invalid'
+export PYBUILD_TEST_ARGS= -k 'not test_load_settings_position_invalid and not test_get_directory_for_language_dir_from_source and not test_get_ip_address_default'
 export GITLAB_CI=disable_test_downloads
 
 %:

=== debian/watch ===
# watch control file for uscan
version=4
https://get.openlp.org/(\d[\d\.]+)/OpenLP-([\d\.]+).tar.gz

## openlp 3.0.2+ds

=== debian/changelog ===
openlp (3.0.2+ds-1) unstable; urgency=medium

  * Team upload
  * Exclude generated file (Closes: #1046148)

 -- Bastian Germann <bage@debian.org>  Thu, 17 Aug 2023 13:18:44 +0200

openlp (3.0.2-4) unstable; urgency=medium

  * Team upload
  * d/rules: Correct target name (Closes: #1042505)

 -- Bastian Germann <bage@debian.org>  Mon, 31 Jul 2023 15:55:24 +0200

openlp (3.0.2-3) unstable; urgency=medium

  * Team upload
  * Revert "Ensure non-freezing websockets is installed"
  * Build reproducibly with rcc instead of pyrcc5
  * Patch: Remove dependency on PIL (Closes: #1042173)

 -- Bastian Germann <bage@debian.org>  Thu, 27 Jul 2023 00:51:25 +0200

## openlp 3.1.0~rc4

=== debian/changelog ===
openlp (3.1.0~rc4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.0~rc4 (Closes: #1060966)

 -- Bastian Germann <bage@debian.org>  Tue, 16 Jan 2024 22:41:27 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- pyqt5-dev-tools,
+ qtbase5-dev-tools,
  python3 (>= 3.6),
  python3-alembic,
  python3-appdirs,
@@ -20,7 +20,6 @@
  python3-icu,
  python3-lxml,
  python3-mako,
- python3-pil,
  python3-pymediainfo (>= 2.2),
  python3-pyodbc,
  python3-pysword,
@@ -42,7 +41,7 @@
  python3-vlc,
  python3-waitress,
  python3-webob,
- python3-websockets (>= 8.1),
+ python3-websockets,
  python3-zeroconf,
  qttools5-dev-tools
 Standards-Version: 4.5.0

## openlp 3.1.2+ds

=== debian/changelog ===
openlp (3.1.2+ds-2) unstable; urgency=medium

  * Team upload
  * Deal with PyMuPDF installed as fitz_old

 -- Bastian Germann <bage@debian.org>  Wed, 26 Jun 2024 20:27:13 +0200

openlp (3.1.2+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.2+ds

 -- Bastian Germann <bage@debian.org>  Thu, 23 May 2024 22:02:12 +0200

openlp (3.1.1+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.1+ds

 -- Bastian Germann <bage@debian.org>  Sun, 17 Mar 2024 20:37:52 +0000

openlp (3.1.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.0+ds
  * Replace B-D appdirs with platformdirs

 -- Bastian Germann <bage@debian.org>  Tue, 05 Mar 2024 10:49:52 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  qtbase5-dev-tools,
  python3 (>= 3.6),
  python3-alembic,
- python3-appdirs,
  python3-bs4,
  python3-chardet,
  python3-dbus,
@@ -20,6 +19,7 @@
  python3-icu,
  python3-lxml,
  python3-mako,
+ python3-platformdirs,
  python3-pymediainfo (>= 2.2),
  python3-pyodbc,
  python3-pysword,

## openlp 3.1.3+ds

=== debian/changelog ===
openlp (3.1.3+ds-2) unstable; urgency=medium

  * Team upload.
  * Skip PDF tests.

 -- Bastian Germann <bage@debian.org>  Fri, 27 Sep 2024 16:19:04 +0200

openlp (3.1.3+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.3+ds
  * Drop upstream patch

 -- Bastian Germann <bage@debian.org>  Tue, 27 Aug 2024 18:58:47 +0200

## openlp 3.1.6+ds

=== debian/changelog ===
openlp (3.1.6+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.6+ds

 -- Bastian Germann <bage@debian.org>  Wed, 15 Jan 2025 18:04:40 +0100

openlp (3.1.5+ds-2) unstable; urgency=medium

  * Team upload
  * Patch .version to match release (Closes: #1088131)

 -- Bastian Germann <bage@debian.org>  Sun, 24 Nov 2024 12:10:06 +0000

openlp (3.1.5+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.5+ds

 -- Bastian Germann <bage@debian.org>  Tue, 19 Nov 2024 16:41:53 +0100

## openlp 3.1.7+ds

=== debian/changelog ===
openlp (3.1.7+ds-1ubuntu1) questing; urgency=medium

  * Patch to run in xwayland

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 03 Aug 2025 15:16:03 -0700

openlp (3.1.7+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.7+ds

 -- Bastian Germann <bage@debian.org>  Tue, 18 Feb 2025 19:58:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openlp
 Section: x11
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Raoul Snyman <raoul@snyman.info>
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,7 +14,6 @@
  python3-chardet,
  python3-dbus,
  python3-distro,
- python3-fitz,
  python3-flask,
  python3-flask-cors,
  python3-icu,

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,13 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_auto_build:
-	scripts/generate_resources.sh
-	dh_auto_build
+execute_before_dh_auto_build:
+	# Do the functionally equivalent to scripts/generate_resources.sh upfront:
+	rcc -g python -o openlp/core/resources.py resources/images/openlp-2.qrc
+	sed -i '/^qInitResources\(\)/d' openlp/core/resources.py
+	sed -i 's/PySide2/PyQt5/g' openlp/core/resources.py
+
+execute_after_dh_auto_build:
 	mkdir -p resources/i18n/qm
 	set -e; \
 	export QT_SELECT=5; \
@@ -21,8 +25,7 @@
 	QT_QPA_PLATFORM=offscreen dh_auto_test
 	-find -name openlp-test-projectordb.sqlite -delete
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	set -e; \
 	for SIZE in 16x16 32x32 48x48 64x64 128x128; do \
 		mkdir -p debian/openlp/usr/share/icons/hicolor/$$SIZE/apps && \

=== debian/watch ===
# watch control file for uscan
version=4
opts=repacksuffix=+ds,dversionmangle=auto \
https://get.openlp.org/(\d[\d\.]+)/OpenLP-([\d\.]+).tar.gz
